%define		pdir	File
%define		pnam	Lockf
Summary:	File::lockf - Perl module interface to the lockf system call
Summary(pl.UTF-8):	File::lockf - interfejs perlowy do wywołania systemowego lockf
Name:		perl-File-Lockf
Version:	0.25
Release:	5
License:	GPL v1+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3c6b8ca40caa1b3975f5b7567d91d6f1
URL:		http://search.cpan.org/dist/File-Lockf/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File-lockf is an interface to the lockf system call.  Perl supports
the flock system call natively, but that does not acquire network
locks. Perl also supports the fcntl system call, but that is somewhat
ugly to use.  There are other locking modules available for Perl, but
none of them provided a simple, clean interface to the lockf system
call, without any bells or whistles getting in the way.

%description -l pl.UTF-8
File::lockf stanowi interfejs do wywołania systemowego lockf. Perl
posiada wbudowaną obsługę lockf, ale nie wspiera ona blokad
sieciowych. Istnieją inne moduły Perla do zakładania blokad, ale żaden
z nich nie posiada prostego, jasnego interfejsu do wywołania
systemowego lockf bez żadnych dzwonków i gwizdków po drodze.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/File/lockf.pm
%dir %{perl_vendorarch}/auto/File/lockf
%attr(755,root,root) %{perl_vendorarch}/auto/File/lockf/lockf.so
%{_mandir}/man3/*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-Lockf.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> b6c0d73
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 686ef13
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 62b7e3b
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 50fd48d
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 07bad92
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> bad3f1f
- updated to 0.25

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e2a276f
- perl req/prov fix
- release 22 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> c9e963f
- rebuild with perl 5.26
- release 21 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> af51a3e
- rebuild with perl 5.24.0
- release 20 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 88da7e0
- release 19 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 7e6594e
- x32 rebuild
- release 18 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 077e6be
- release 17 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 33f1dd7
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ea331dc
- rebuild for perl 5.20
- release 16 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> e8dc8d7
- rebuild with perl 5.18.0
- release 15 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> daf8e5e
- rel 14

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> e3ad542
- release 13

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d202aab
- release 12

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> f09af9a
- release 11

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 82b1867
- generic URL

